Subject: Re: how to set "To:" and "Subject:" with ssmtp
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Tue, 29 Oct 2002 12:24:56 +0100

I attached a small shell script which mimes the behaviour of the classic 
Unix' mail command using ssmtp. Most of the options are ignored but 
"To:" and "Subject:" at least work. Give it a try and type "mail --help"

Frank-Michael

Marcos Lorenzo wrote:
> I'm unable to fill some fields in mail header with ssmtp:
> 
> When I run:
> 
> marcos@MOZART ~$ echo "testing mail" | ssmtp -f administrador@mozart -F Administrador [email-masked]
> 
> 
> I get the following:
> 
> ----------------------------------------------------------------------------
> Received: from arpa.it.uc3m.es ([email-masked]
> [163.117.139.120])
>         by varpa.it.uc3m.es (8.9.3/8.9.3/Debian 8.9.3-21) with ESMTP id
> LAA27580;
>         Tue, 29 Oct 2002 11:17:57 +0100
> Received: from varpa.it.uc3m.es ([email-masked] [163.117.139.253])
>         by arpa.it.uc3m.es (8.9.3/8.9.3) with ESMTP id LAA26700
>         for <[email-masked]>; Tue, 29 Oct 2002 11:17:56 +0100
> Received: from mozart.lab.it.uc3m.es (mozart.lab.it.uc3m.es
> [163.117.144.225])
>         by varpa.it.uc3m.es (8.9.3/8.9.3/Debian 8.9.3-21) with SMTP id
> LAA27512
>         for <[email-masked]>; Tue, 29 Oct 2002 11:17:56 +0100
> Message-Id: <[email-masked]>
> Received: by mozart.lab.it.uc3m.es (sSMTP sendmail emulation); Tue, 29 Oct
> 2002 11:17:56 +0100
> From: Administrador <[email-masked]>
> Date: Tue, 29 Oct 2002 11:17:56 +0100
> To: undisclosed-recipients:;
> X-Spam-Status: No, hits=-92.8 required=6.0
>         tests=FROM_LOCAL,FROM_NAME_NO_SPACES,UNDISC_RECIPS,SUBJ_MISSING,
>               MSG_ID_ADDED_BY_MTA_2,AWL
>         version=2.31
> X-Spam-Level:
> 
> testing mail
> ----------------------------------------------------------------------------
> 
> 
> Which is quite OK but I cannot see any option in ssmtp to set the To or
> the Subject fields as with the From one. I searched the docs and read the
> manpage, but I didn't find any documentation on setting the fields Subject
> and To.
> 
> 
> thx in advance,
> m4c.
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/